Bug 163631 - crash after running hours
Summary: crash after running hours
Status: RESOLVED INTENTIONAL
Alias: None
Product: ktorrent
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-09 17:19 UTC by Juha Tuomala
Modified: 2009-04-20 18:16 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juha Tuomala 2008-06-09 17:19:11 UTC
Version:            (using KDE 3.5.9)
Installed from:    Fedora RPMs

(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 46912496361744 (LWP 28572)]
[New Thread 1094719824 (LWP 28592)]
[New Thread 1105209680 (LWP 28591)]
[KCrash handler]
#5  0x0000003d87230ec5 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x0000003d87232970 in abort () at abort.c:88
#7  0x0000003d8722a11f in __assert_fail (
    assertion=0x3e5c2b0fb0 "xcb_get_request_sent(dpy->xcb->connection) == dpy->request", file=0x3e5c2b0e60 "xcb_lock.c", line=33, 
    function=0x3e5c2b1040 "_XCBUnlockDisplay") at assert.c:78
#8  0x0000003e5c24a183 in QWidget::setUpdatesEnabled ()
   from /usr/lib64/libX11.so.6
#9  0x0000003e5c23cf6d in XSetClipMask () from /usr/lib64/libX11.so.6
#10 0x00000030922be8f5 in QWidget::setUpdatesEnabled ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#11 0x00000030922bf7be in QPainter::end ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#12 0x00000030923e8609 in QSharedDoubleBuffer::end ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#13 0x0000003092449913 in QListView::drawContentsOffset ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#14 0x0000003092476be2 in QScrollView::viewportPaintEvent ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#15 0x00000033725ed365 in KListView::viewportPaintEvent ()
   from /usr/lib64/libkdeui.so.4
#16 0x0000003092477f0f in QScrollView::eventFilter ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#17 0x00000030924467af in QListView::eventFilter ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#18 0x000000000042feb4 in QWidget::setUpdatesEnabled ()
#19 0x00000030923632b2 in QObject::activate_filters ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#20 0x0000003092363327 in QObject::event ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#21 0x000000309239a878 in QWidget::event ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#22 0x0000003092302b75 in QApplication::internalNotify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#23 0x0000003092303e40 in QApplication::notify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#24 0x0000003371fc7e38 in KApplication::notify ()
   from /usr/lib64/libkdecore.so.4
#25 0x00000030922d110f in QWidget::repaint ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#26 0x0000003092444866 in QListView::updateContents ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#27 0x00000030926ac0e9 in QListView::qt_invoke ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#28 0x00000033726d95dd in KListView::qt_invoke ()
   from /usr/lib64/libkdeui.so.4
#29 0x0000003092363c29 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#30 0x0000003092364900 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#31 0x0000003092387345 in QTimer::event ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#32 0x0000003092302b75 in QApplication::internalNotify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#33 0x0000003092303e40 in QApplication::notify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#34 0x0000003371fc7e38 in KApplication::notify ()
   from /usr/lib64/libkdecore.so.4
#35 0x00000030922f7d8c in QEventLoop::activateTimers ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#36 0x00000030922b10d1 in QEventLoop::processEvents ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#37 0x000000309231a321 in QEventLoop::enterLoop ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#38 0x000000309231a202 in QEventLoop::exec ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#39 0x000000000047170a in QWidget::setUpdatesEnabled ()
#40 0x0000003d8721e074 in __libc_start_main (
    main=0x471270 <QWidget::setUpdatesEnabled(bool)+294752>, argc=7, 
    ubp_av=0x7fff87d94418, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, 
    stack_end=0x7fff87d94408) at libc-start.c:220
#41 0x0000000000429359 in QWidget::setUpdatesEnabled ()
#42 0x00007fff87d94408 in ?? ()
#43 0x0000000000000000 in ?? ()
Comment 1 Joris Guisson 2008-06-14 10:12:13 UTC
This is Qt triggering an assert in X11, contact trolltech, this is not a ktorrent problem.
Comment 2 Lubos Lunak 2009-04-20 15:45:07 UTC
Assertion "xcb_get_request_sent(dpy->xcb->connection) == dpy->request" failing means threading problems with X11 calls, so this is very likely a KTorrent bug.
Comment 3 Joris Guisson 2009-04-20 18:16:40 UTC
KDE3 version of ktorrent is no longer being developed, so this will not be fixed anyway.